Name:          augeas
Version:       1.2.0
Release:       1mamba
Summary:       A command line tool that focuses on the most basic problem in handling Linux configurations programmatically
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://augeas.net/
Source:        http://download.augeas.net/augeas-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 augeas' to get the list of build requirements.
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Augeas is a library and command line tool that focuses on the most basic problem in handling Linux configurations programmatically: editing actual configuration files in a controlled manner.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A library that focuses on the most basic problem in handling Linux configurations programmatically

%description -n lib%{name}
Augeas is a library and command line tool that focuses on the most basic problem in handling Linux configurations programmatically: editing actual configuration files in a controlled manner.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/augparse
%{_bindir}/augtool
%{_bindir}/fadot
%{_datadir}/vim/vimfiles/ftdetect/augeas.vim
%{_datadir}/vim/vimfiles/syntax/augeas.vim
%{_mandir}/man1/augparse.1*
%{_mandir}/man1/augtool.1*
%doc AUTHORS COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libaugeas.so.*
%{_libdir}/libfa.so.*
%dir %{_datadir}/augeas
%dir %{_datadir}/augeas/lenses
%dir %{_datadir}/augeas/lenses/dist
%{_datadir}/augeas/lenses/dist/*.aug
%dir %{_datadir}/augeas/lenses/dist/tests
%{_datadir}/augeas/lenses/dist/tests/*.aug

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/augeas.h
%{_includedir}/fa.h
%{_libdir}/libaugeas.a
%{_libdir}/libaugeas.la
%{_libdir}/libaugeas.so
%{_libdir}/libfa.a
%{_libdir}/libfa.la
%{_libdir}/libfa.so
%{_libdir}/pkgconfig/augeas.pc
%doc ChangeLog NEWS README


%changelog
* Thu Jul 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- package created using the webbuild interface
